import request from '@/utils/request'

// 查询收费方式列表
export function listFee(query) {
  return request({
    url: '/system/fee/list',
    method: 'get',
    params: query
  })
}

// 查询收费方式详细
export function getFee(ruleId) {
  return request({
    url: '/system/fee/' + ruleId,
    method: 'get'
  })
}

// 新增收费方式
export function addFee(data) {
  return request({
    url: '/system/fee',
    method: 'post',
    data: data
  })
}

// 修改收费方式
export function updateFee(data) {
  return request({
    url: '/system/fee',
    method: 'put',
    data: data
  })
}

// 删除收费方式
export function delFee(ruleId) {
  return request({
    url: '/system/fee/' + ruleId,
    method: 'delete'
  })
}
